summarylogtreecommitdiffstats
path: root/binggpt-ee.sh
diff options
context:
space:
mode:
Diffstat (limited to 'binggpt-ee.sh')
-rw-r--r--binggpt-ee.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/binggpt-ee.sh b/binggpt-ee.sh
new file mode 100644
index 000000000000..f9ced1432cfc
--- /dev/null
+++ b/binggpt-ee.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file